unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, OleCtrls, WMPLib_TLB, StdCtrls;

type
  TForm1 = class(TForm)
    Button1: TButton;
    OpenDialog1: TOpenDialog;
    Button2: TButton;
    WindowsMediaPlayer1: TWindowsMediaPlayer;
    procedure Button2Click(Sender: TObject);
    procedure Button1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.Button1Click(Sender: TObject);
begin
if OpenDialog1.Execute then
  begin
  WindowsMediaPlayer1.URL:=OpenDialog1.FileName;
  Caption:=ExtractFileName(WindowsMediaPlayer1.URL);
  end;
end;

procedure TForm1.Button2Click(Sender: TObject);
begin
WindowsMediaPlayer1.fullScreen:=True;
end;

end.
